cutlass::sizeof_bits< Array< T, N, RegisterSized > > Struct Template Reference

Statically sized array for any data type. More...

`#include <array.h>`

## Static Public Attributes

static int const | value

## Detailed Description

### template<typename T, int N, bool RegisterSized = sizeof_bits<T>::value>
struct cutlass::sizeof_bits< Array< T, N, RegisterSized > >

Defines the size of an Array<> in bits

## Member Data Documentation

template<typename T , int N, bool RegisterSized = sizeof_bits<T>::value>

int const cutlass::sizeof_bits< Array< T, N, RegisterSized > >::value

static

Initial value:
=
sizeof(typename Array<T, N, RegisterSized>::Storage) * 8 * Array<T, N, RegisterSized>::kStorageElements

The documentation for this struct was generated from the following file:

- array.h